--- old/usr/src/man/man7d/Makefile	Sat Aug  2 01:23:40 2014
+++ new/usr/src/man/man7d/Makefile	Sat Aug  2 01:23:40 2014
@@ -12,7 +12,7 @@
 #
 # Copyright 2011, Richard Lowe
 # Copyright 2013 Nexenta Systems, Inc.  All rights reserved.
-# Copyright 2013 Garrett D'Amore <garrett@damore.org>
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 
 include		$(SRC)/Makefile.master
@@ -30,6 +30,7 @@
 		audiots.7d	\
 		av1394.7d	\
 		bge.7d		\
+		blkdev.7d	\
 		bscv.7d		\
 		chxge.7d	\
 		console.7d	\
--- /dev/null	Sat Aug  2 01:23:40 2014
+++ new/usr/src/man/man7d/blkdev.7d	Sat Aug  2 01:23:40 2014
@@ -0,0 +1,81 @@
+.\"
+.\" This file and its contents are supplied under the terms of the
+.\" Common Development and Distribution License ("CDDL"), version 1.0.
+.\" You may only use this file in accordance with the terms of version
+.\" 1.0 of the CDDL.
+.\"
+.\" A full copy of the text of the CDDL should have accompanied this
+.\" source.  A copy of the CDDL is also available via the Internet at
+.\" http://www.illumos.org/license/CDDL.
+.\"
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
+.
+.Dd "Jul 30, 2014"
+.Dt BLKDEV 7D
+.Os
+.Sh NAME
+.Nm blkdev
+.Nd generic block device driver
+.Sh DESCRIPTION
+The
+.Nm
+driver supports generic block-oriented devices, such as non-volatile
+memory storage devices. It provides a hardware independent layer
+for such storage devices, allowing them to concentrate on the
+hardware-specific details, while
+.Nm
+takes care of all the other details, such as
+.Xr dkio 7I .
+.Lp
+The
+.Nm
+driver only supports block-oriented, random-access devices.  It does
+not support traditional rotational media and does not support
+SCSI commands.
+.Lp
+The most typical use case for
+.Nm
+devices is to be used to host a file system, such as
+.Xr pcfs 7FS
+or
+.Xr zfs 7FS .
+.
+.Sh INTERFACE STABILITY
+.Sy Uncommitted .
+.
+.Sh FILES
+.
+.Bl -tag -compact -width Pa
+.It Pa /dev/dsk/cndnsn
+Block device minor nodes.
+.It Pa /dev/rdsk/cndnsn
+Raw block device minor nodes.
+.El
+.Lp
+In the above, the following substitutions may occur:
+.Bl -tag -offset indent -width Va
+.It Va cn
+A controller number, typically one for each instance of
+each underlying hardware dependent device driver (there can be multiple
+such drivers in the system.)  Controller numbers are dynamically assigned
+by the system.
+.It Va dn
+Generally, each instance of the underlying hardware will have a
+logical unit number as well.
+.It Va sn
+This is the
+.Em slice
+number, representing a subset of the disk.  See
+.Xr dkio 7I .
+.El
+.
+.Sh SEE ALSO
+.Xr devinfo 1M ,
+.Xr fdisk 1M ,
+.Xr mount 1M ,
+.Xr rmformat 1M ,
+.Xr umount 1M ,
+.Xr sd 7D ,
+.Xr pcfs 7FS ,
+.Xr zfs 7FS ,
+.Xr dkio 7I
--- old/usr/src/pkg/manifests/driver-storage-blkdev.mf	Sat Aug  2 01:23:40 2014
+++ new/usr/src/pkg/manifests/driver-storage-blkdev.mf	Sat Aug  2 01:23:40 2014
@@ -21,6 +21,7 @@
 
 #
 # Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2014 Garrett D'Amore <garrett@damore.org>
 #
 
 #
@@ -38,8 +39,11 @@
 dir path=kernel group=sys
 dir path=kernel/drv group=sys
 dir path=kernel/drv/$(ARCH64) group=sys
+dir path=usr/share/man
+dir path=usr/share/man/man7d
 driver name=blkdev perms="* 0640 root root"
 file path=kernel/drv/$(ARCH64)/blkdev group=sys
 $(i386_ONLY)file path=kernel/drv/blkdev group=sys
+file path=usr/share/man/man7d/blkdev.7d
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
